﻿@using Umbraco.Cms.Web.Common.PublishedModels;
@inherits Umbraco.Cms.Web.Common.Views.UmbracoViewPage<ContentModels.PaymentPage>
@using ContentModels = Umbraco.Cms.Web.Common.PublishedModels;
@using Microsoft.Extensions.Primitives;
@using System.Web;
@{
    string transactionId = HttpUtility.ParseQueryString(Context.Request.QueryString.ToString()).Get("transactionId");
}
@if(!string.IsNullOrWhiteSpace(transactionId))
{
    <form action=@($"/umbraco/surface/paymentsurface/pay")>
        <input type="hidden" name="transactionId" value="@transactionId"/>
        <input type="submit" value="Pay">
    </form>

    <form action="/umbraco/surface/paymentsurface/cancel/">
        <input type="submit" value="Cancel">
    </form>        
}
